<?php
class InstallController extends \BaseController
{
    public function index()
    {
        return View::make('install/index');
    }
    public function store()
    {
        $rules = array('host' => array('required'), 'dbname' => array('required'), 'dbuser' => array('required'), 'siteusername' => array('required', 'alpha_num'), 'siteemail' => array('required', 'email'), 'sitepassword' => array('required', 'min:6'), 'sitefullname' => array('required'));
        $v = Validator::make(Input::all(), $rules);
        if ($v->fails()) {
            return Redirect::to('install')->withErrors($v);
        }
        $success = true;
        if ($success === true) {
            $file = File::get(app_path() . '/library/installer/database-install.php');
            $step1 = true;
        }
        if ($success === true && ($step1 = true)) {
            $file = str_replace('DB_HOST', Input::get('host'), $file);
        }
        if ($success === true && ($step1 = true)) {
            $file = str_replace('DB_USER', Input::get('dbuser'), $file);
        }
        if ($success === true && ($step1 = true)) {
            $file = str_replace('DB_PASSWORD', Input::get('dbpassword'), $file);
        }
        if ($success === true && ($step1 = true)) {
            $file = str_replace('DB_NAME', Input::get('dbname'), $file);
        }
        if ($success === true && ($step1 = true)) {
            File::put(app_path() . '/config/database.php', $file);
        }
        $file2 = File::get(app_path() . '/library/installer/DBSeedSettings.php');
        $file2 = str_replace('SITE_USERNAME', Input::get('siteusername'), $file2);
        $file2 = str_replace('SITE_FULLNAME', Input::get('sitefullname'), $file2);
        $file2 = str_replace('SITE_PASSWORD', Input::get('sitepassword'), $file2);
        $file2 = str_replace('SITE_EMAIL', Input::get('siteemail'), $file2);
        File::put(app_path() . '/database/seeds/DatabaseSeeder.php', $file2);
        if ($success === true && ($step1 = true)) {
            Artisan::call('migrate', array('--force' => true));
        }
        if ($success === true && ($step1 = true)) {
            Artisan::call('db:seed', array('--force' => true));
        }
        File::cleanDirectory(storage_path() . '/cache');
        File::cleanDirectory(storage_path() . '/views');
        return Redirect::route('home')->with('flashSuccess', 'Your app is now installed');
    }
}