<?php
/**
 * @author Abhimanyu Sharma <abhimanyusharma003@gmail.com>
 */

namespace Hackersnews\Validator;

use Post;

class NewsValidator extends Validator {

    protected $createRules = array(
        'title'    => array('required', 'min:3', 'max:180'),
        'url'      => array('required', 'url', 'Unique:posts'),
        'category' => array('required', 'integer')
    );

    protected $editRules = array(
        'title'    => array('required', 'min:3', 'max:180'),
        'url'      => array('required', 'url'),
        'category' => array('required', 'integer')
    );

    protected $adminEditRules = array(
        'title'    => array('required', 'min:3', 'max:180'),
        'url'      => array('required', 'url'),
        'category' => array('required', 'integer')
    );

    public function __construct(Post $model)
    {
        $this->model = $model;
    }
}