@extends('master/index')
@section('meta_title')
{{ strip_tags($post->title) }} - {{ siteSettings('siteName') }}
@stop
@section('meta_description')
{{ Str::limit(strip_tags($post->summary),200) }}
@stop
@section('page-content')
<div class="row">
    <h2 class="page-header">{{ $title }}</h2>
</div>

<div class="row post-item post-{{ $post->type }} post-fix">
    <div class="col-lg-1 col-md-1 col-sm-2 col-xs-2 up-vote">
        <ul class="list-unstyled text-center">
            @if(Auth::user())
            @if(checkVoted($post->votes))
            <li class="up-vote-icon"><i class="fa fa-chevron-circle-up vote-btn voted" data-id="{{ $post->id }}"></i></li>
            @else
            <li class="up-vote-icon"><i class="fa fa-chevron-circle-up vote-btn" data-id="{{ $post->id }}"></i></li>
            @endif
            <li><span id="data-number-{{ $post->id }}">{{ $post->votes->count() }}</span></li>
            @else
            <li class="up-vote-icon"><a href="{{ route('login') }}"><i class="fa fa-chevron-circle-up" data-id="{{ $post->id }}"></i></a></li>
            <li><span id="data-number-{{ $post->id }}">{{ $post->votes->count() }}</span></li>
            @endif
        </ul>
    </div>
    <div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
        @if($post->type == 'news')
        <h2 class="post-title">{{ link_to(filter_var($post->url,FILTER_SANITIZE_URL), ucfirst($post->title), array('target'=>'_blank','rel'=>'nofollow')) }}</a>&nbsp;
            <small>{{ parseUrl($post->url) }}</small>
        </h2>
        @else
        <h2 class="post-title">{{ link_to_route($post->type, ucfirst(e($post->title)), array('id' => $post->id, 'slug'=> $post->slug), array('target'=>'_blank')) }}</a></h2>
        @endif

        <p><abbr class="timeago" title="{{ $post->created_at->toISO8601String() }}">{{ $post->created_at->toDateTimeString() }}</abbr> in {{ link_to_route('latest', $post->category->name, array('category'=>$post->category->slug)) }} {{ t('by')}} {{ link_to_route('user',ucfirst($post->user->fullname), array('username'=>$post->user->username)) }}</p>

        <ul class="list-inline">
            <li><i class="fa fa-comments-o"></i>&nbsp;{{ link_to_route($post->type, $post->comments->count() . '&nbsp;'. t('comments'),array('id'=>$post->id,'slug'=>$post->slug)) }}</li>
            <li><i class="fa fa-eye"></i>&nbsp;{{ $post->views }}&nbsp;{{ t('views') }}</li>
            <li><i class="fa fa-flag-o flag"></i>&nbsp;{{ link_to_route('flag', t('Flag'), array('id'=>$post->id), array('class' => 'flag')) }}</li>
            @if(Auth::check())
                @if(Auth::user()->id === $post->user->id)
            <li><i class="fa fa-edit flag"></i>&nbsp;{{ link_to_route($post->type.'-edit', t('Edit'), array('id'=>$post->id, 'slug' => $post->slug), array('class' => 'flag')) }}</li>
                @endif
            @endif
        </ul>

        <p>{{ $post->summary }}</p>
        @if($post->type = 'news')
        <a href="{{ $post->url }}" class="embed"></a>
        @endif
        @include('post/extra/social-share')
    </div>
    <!--/.col-lg-9 col-md-9 col-sm-9 col-xs-9-->
    <div class="col-md-1 col-lg-1 hidden-sm hidden-xs">
        <a href="{{ route('user',$post->user->username) }}"><img src="{{ getAvatar($post->user) }}" class="img-circle"/></a>
    </div>
    <!--/.col-md-1 col-lg-1 hidden-sm hidden-xs-->
</div>
@include('post/comments')<!--.post-item-->

@stop